#ifndef _MESH_H_
#define _MESH_H_

struct Vertex {
    double x, y, z;

    inline Vertex &operator=(const Vertex &v) {
	x = v.x;
	y = v.y;
	z = v.z;
	return *this;
    }
};

struct Triangle {
    union {
	struct {
	    int A, B, C;    //0-indexed to vertex list
	};

	int data[3];
    };

    inline int operator[](const int index) const {
	return data[index];
    }
};

struct Mesh {
    Vertex*	vertices;
    Triangle*	triangles;

    int		nVertices;
    int		nTriangles;
};

Mesh* parseMesh(const char* file);

#endif

