#include <stdio.h>
#include "Mesh.h"

int main(int, char**) {
    const char* f1  = "../Data/Kim3D/cage.obj";
    const char* f2  = "../Data/Kim3D/object.obj";

    Mesh*   mesh1   = parseMesh(f1);
    Mesh*   mesh2   = parseMesh(f2);

    if (mesh1 == NULL || mesh2 == NULL) {
	printf("Could not parse meshes.\n");
	return 1;
    }

    printf("Mesh1:\n");
    printf("     %d Triangles.\n", mesh1->nTriangles);
    printf("     %d Vertices.\n", mesh1->nVertices);
    
    printf("Mesh2:\n");
    printf("     %d Triangles.\n", mesh2->nTriangles);
    printf("     %d Vertices.\n", mesh2->nVertices);

    /* This code will print out all the vertices of all the triangles in the
     * cage mesh
     */
    /*
    for (int i = 0; i < mesh1->nTriangles; i++) {
	Vertex& A = mesh1->vertices[mesh1->triangles[i][0]];
	Vertex& B = mesh1->vertices[mesh1->triangles[i][1]];
	Vertex& C = mesh1->vertices[mesh1->triangles[i][2]];

	printf("(%f %f %f)", A.x, A.y, A.z);
	printf(" (%f %f %f)", B.x, B.y, B.z);
	printf(" (%f %f %f)\n", C.x, C.y, C.z);
    }
    */

    return 0;
}

